Subject: [bess] WGLC, IPR and implementation poll for draft-ietf-bess-mvpn-fast-failover

From: <[email-masked]>
Date: Thu, 22 Nov 2018 07:54:21 +0000

Hello Working Group,

This email starts a two-week Working Group Last Call on draft-ietf-bess-mvpn-fast-failover-04  [1]

This poll runs until *the 6th of December*.

We are also polling for knowledge of any undisclosed IPR that applies to this Document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an Author or a Contributor of this Document please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR. The Document won't progress without answers from all the Authors and Contributors.

Currently two IPRs have been disclosed against this Document.

If you are not listed as an Author or a Contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.

We are also polling for any existing implementation as per [2].

    Thank you,

    Stephane & Matthew

    [1] https://datatracker.ietf.org/doc/draft-ietf-bess-mvpn-fast-failover/

    [2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Thomas Morin <[email-masked]>
Date: Fri, 23 Nov 2018 11:49:25 +0100

Hi Working Group,

First of all many thanks to Rob and Greg who did all the most for the 
last iterations of this drafts.

On 22/11/2018 08:54, [email-masked] wrote:
> If you are listed as an Author or a Contributor of this Document 
> please respond to this email and indicate whether or not you are aware 
> of any relevant undisclosed IPR. The Document won't progress without 
> answers from all the Authors and Contributors.

Not aware of any such IPR.

> We are also polling for any existing implementation as per [2].
Some of my co-authors working for router vendors will I expect provide 
information on existing implementations.

Best,

-Thomas

---

From: Greg Mirsky <[email-masked]>
Date: Sun, 25 Nov 2018 18:47:25 -0800

Hi Stephane, et al.,
I'm not aware of any IPR related to this draft other than already disclosed.

RE: implementation status
In Q1 of 2019, ZTE will release a product that includes support of this
draft.

Regards,
Greg

On Wed, Nov 21, 2018 at 11:54 PM <[email-masked]> wrote:

> Hello Working Group,
>
>
>
> This email starts a two-week Working Group Last Call on
> draft-ietf-bess-mvpn-fast-failover-04  [1]
>
>
>
> We are also polling for knowledge of any undisclosed IPR that applies to
> this Document, to ensure that IPR has been disclosed in compliance with
> IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
>
> If you are listed as an Author or a Contributor of this Document please
> respond to this email and indicate whether or not you are aware of any
> relevant undisclosed IPR. The Document won't progress without answers from
> all the Authors and Contributors.
>
>
>
> If you are not listed as an Author or a Contributor, then please
> explicitly respond only if you are aware of any IPR that has not yet been
> disclosed in conformance with IETF rules.
>
>
>
>     [1]
> https://datatracker.ietf.org/doc/draft-ietf-bess-mvpn-fast-failover/
>
>
>
>     [2]
> https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw
>
>
>
>
>
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>

---

From: Robert Kebler <[email-masked]>
Date: Wed, 28 Nov 2018 17:45:13 +0000

Hi,
I'm not aware of any undisclosed IPR related to this draft.

We have an implementation of this draft.

Thanks,
Bob

From: BESS <[email-masked]> On Behalf Of [email-masked]
Sent: Thursday, November 22, 2018 2:54 AM
To: [email-masked]
Cc: [email-masked]
Subject: [bess] WGLC, IPR and implementation poll for draft-ietf-bess-mvpn-fast-failover

Hello Working Group,

    Thank you,

    Stephane & Matthew

    [1] https://datatracker.ietf.org/doc/draft-ietf-bess-mvpn-fast-failover/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dbess-2Dmvpn-2Dfast-2Dfailover_&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=n3U7fnHrUfEyeUwG7Pu8Q7szatKxTR0YL9bRTNfNGpw&m=X9fAL63M1Cmr8VXxFEbD0fgeJqnISEb6bgduZ7w-MuU&s=c3nNM8Z83NeXARwwE_VzssC_XJisIhYMwsGhTCgpmps&e=>

    [2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://urldefense.proofpoint.com/v2/url?u=https-3A__mailarchive.ietf.org_arch_msg_bess_cG3X1tTqb-5FvPC4rg56SEdkjqDpw&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=n3U7fnHrUfEyeUwG7Pu8Q7szatKxTR0YL9bRTNfNGpw&m=X9fAL63M1Cmr8VXxFEbD0fgeJqnISEb6bgduZ7w-MuU&s=7YqiBjvBtF14LEtQxj8aeKxWMW1C_KjP7Eg-UXMIu_Y&e=>

Thank you.

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Sat, 1 Dec 2018 01:14:35 +0000

Hi,

I have the following questions/comments:

   The procedure described here is an OPTIONAL procedure that consists
   of having a downstream PE take into account the status of P-tunnels
   rooted at each possible upstream PEs, for including or not including
   each given PE in the list of candidate UMHs for a given (C-S,C-G)
   state.  The result is that, if a P-tunnel is "down" (see
   Section 3.1), the PE that is the root of the P-tunnel will not be
   considered for UMH selection, which will result in the downstream PE
   to failover to the upstream PE which is next in the list of
   candidates.

Is it possible that a p2mp tunnel is considered up by some leaves but down by some other leaves, leaving to them choosing different UMH? In that case, procedures described in Section 9.1.1 ("Discarding Packets from Wrong PE") of RFC 6513 must be used. I see that this is actually pointed out later in section 6 - good to have a pointer to it right here.

Additionally, the text in section 3 seems to be more biased on Single Forwarder Election choosing the UMH with the highest IP address. Section 5 of RFC6513 also describes two other options, hashing or based on "installed UMH route" (aka unicast-based). It is not clear how the text in this document applies to hashing based selection, and I don't see how the text applies to unicast-based selection. Some rewording/clarification are needed here.

   For P-tunnels of type P2MP MPLS-TE, the status of the P-tunnel is
   considered up if one or more of the P2MP RSVP-TE LSPs, identified by
   the P-tunnel Attribute, are in Up state.

Why is "one or more of ..." used in the above text?

There are several occurrences of ((S, G)). I assume they should be changed to (C-S, C-G).

   A PE can be removed from the UMH candidate list for a given ((S, G))
   if the P-tunnel for this (S, G) (I or S , depending) is leaf
   triggered (PIM, mLDP)

Perhaps either remove the (I or S , depending)or move it to before the "for".

   This document defines the format and ways of usingr a new BGP
   attribute called the "BGP- BFD attribute".

s/usingr/using/

   o  MUST use [Ed.note] address as destination IP address when
      transmitting BFD control packets;

[Ed.note]?

   If tracking of the P-tunnel by using a p2mp BFD session is to be
   enabled after the P-tunnel has been already signaled, the the
   procedure described above MUST be followed.

What if the tracking is to be enabled before the P-tunnel has been signaled? The text implies different behavior?
s/the the/then the/

   ... The dedicated p2mp BFD session MAY monitor the state of
   the Standby Upstream PE.

What does the above text mean? Do you mean "A different p2mp BFD session ..."?

   When such a procedure is used, in the context where fast restoration
   mechanisms are used for the P-tunnels, leaf PEs should be configured
   to wait before updating the UMH, to let the P-tunnel restoration
   mechanism happen.  A configurable timer MUST be provided for this
   purpose, and it is recommended to provide a reasonable default value
   for this timer.

What does "such a procedure" refers to?
s/recommended/RECOMMENDED/?

3.1.7.  Per PE-CE link BFD Discriminator

   The following approach is defined for the fast failover in response
   to the detection of PE-CE link failures, in which UMH selection for a
   given C-multicast route takes into account the state of the BFD
   session associated with the state of the upstream PE-CE link.

3.1.7.1.  Upstream PE Procedures

   For each protected PE-CE link, the upstream PE initiates a multipoint
   BFD session [I-D.ietf-bfd-multipoint] as MultipointHead toward
   downstream PEs.  A downstream PE monitors the state of the p2mp
   session as MultipointTail and MAY interpret transition of the BFD
   session into Down state as the indication of the associated PE-CE
   link being down.

Since the BFD packets are sent over the P2MP tunnel not the PE-CE link, my understanding is that the BFD discriminator is still for the tunnel and not tied to the PE-CE link; but different from the previous case, the root will stop sending BFD messages when it detects the PE-CE link failure. As far as the egress PEs are concerned, they don't know if it is the tunnel failure or PE-CE link failure.

If my understanding is correct, the wording should be changed.

   ...  If the route to the
   src/RP changes such that the RPF interface is changed to be a new PE-
   CE interface, then the upstream PE will update the S-PMSI A-D route
   with included BGP-BFD Attribute so that value of the BFD
   Discriminator is associated with the new RPF link.

If the RPF interface changes on the upstream PE, why should it update the route to send a new discriminator? As long as there is a new RPF interface couldn't the upstream PE do nothing but start tracking the new RPF interface?

Regardless which way (the currently described way and my imagined way), some text should be added to discuss how the downstream would not switch to another upstream PE when the primary PE is just going through a RPF change.

4.  Standby C-multicast route

   The procedures described below are limited to the case where the site

   that contains C-S is connected to exactly two PEs. The procedures
   require all the PEs of that MVPN to follow the single forwarder PE
   selection, as specified in [RFC6513].

Why would it not work with more than two upstream PEs?
Why is it limited to single forwarder selection? What about unicast based selection?

This route, that has the semantics of being a 'standby'
   C-multicast route, is further called a "Standby BGP C-multicast
   route", and is constructed as follows:

   o  the NLRI is constructed as the original C-multicast route, except
      that the RD is the same as if the C-multicast route was built
      using the standby PE as the UMH (it will carry the RD associated
      to the unicast VPN route advertised by the standby PE for S)

Since you mention RD, you might as well mention it carries a Route Target derived from the standby RE's UMH route's VRF RT Import EC.

   If at some later point the local PE determines that C-S is no longer
   reachable through the Primary Upstream PE, the Standby Upstream PE
   becomes the Upstream PE, and the local PE re-sends the C-multicast
   route with RT that identifies the Standby Upstream PE, except that
   now the route does not carry the Standby PE BGP Community (which
   results in replacing the old route with a new route, with the only
   difference between these routes being the presence/absence of the
   Standby PE BGP Community).

Additionally the LOCAL_PREF should also change?

4.3.  Reachability determination

   The standby PE can use the following information to determine that
   C-S can or cannot be reached through the primary PE:

Shouldn't this be 4.2.1 instead of 4.3?

5.  Hot leaf standby

   The mechanisms defined in sections Section 4 and Section 3 can be
   used together as follows.

This section is a little confusing to me. It seems that it really should be how a leaf should behave when hot root standby is used, not that there is a "hot leaf" mode. A leaf is just a leaf, not a cold/warm/hot/primary/standby leaf.

Thanks.

Jeffrey

Hello Working Group,

    Thank you,

    Stephane & Matthew

    [1] https://datatracker.ietf.org/doc/draft-ietf-bess-mvpn-fast-failover/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dbess-2Dmvpn-2Dfast-2Dfailover_&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=f7wsLGcfzAWDNS6XNTBZwj_OLAOsZZqdrR2IDAzeZqE&m=21UeMvv2ofELpScacCIlRV64tml5G3zQ3NN5NqhC90s&s=ZKwzFkFZdTKGHJdgRZ6PExBQcl1Ck5CGjhXDxYQYvvI&e=>

    [2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://urldefense.proofpoint.com/v2/url?u=https-3A__mailarchive.ietf.org_arch_msg_bess_cG3X1tTqb-5FvPC4rg56SEdkjqDpw&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=f7wsLGcfzAWDNS6XNTBZwj_OLAOsZZqdrR2IDAzeZqE&m=21UeMvv2ofELpScacCIlRV64tml5G3zQ3NN5NqhC90s&s=fR1eK_EmnRha7QRf37WKaJmt1F5OLq7ynG7afcmPhM0&e=>

Thank you.